Skip to main content
PUT
/
v1
/
message-templates
/
{id}
Update a message template
curl --request PUT \
  --url https://dev.flextell.ai/api/v1/message-templates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "id": 2,
  "name": "<string>",
  "subject": "<string>",
  "body": "<string>",
  "is_active": true
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "system_name": "<string>",
    "subject": "<string>",
    "body": "<string>",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The message template identifier

Body

application/json
id
integer
required

The message template identifier.

Required range: x >= 1
name
string

The name.

Maximum string length: 150
subject
string

The subject.

Maximum string length: 200
body
string

The body content.

is_active
boolean

Whether the record is active.

Response

success
string
required
data
MessageTemplateResource · object
required